/*
 * @(#)CooperationServlet.java
 *
 * Copyright (C) 2006 Infocity Inc. All Rights Reserved.
 */
package info.dragonlady.system.servlet;

import info.dragonlady.system.service.ServerUrlManager;

import javax.servlet.ServletException;


import org.apache.axis.transport.http.AxisServlet;

/**
 * 連携サービスサーブレット。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2006/09/07 19:57:17 $
 */
public class CooperationServlet extends AxisServlet {

	/**
	 * 初期化
	 * 
	 * @see org.apache.axis.transport.http.AxisServlet#init()
	 */
	public void init() throws ServletException {
		String url = getInitParameter("url");
		String[] s = url.split(",");
		ServerUrlManager sum = ServerUrlManager.getInstance();
		for(int i = 0; i < s.length; i++) {
			sum.add(s[i].trim());
		}
		super.init();
	}

}
